<div class="busqueda">
  <div class="head-busqueda">
    <p>Parámetros de búsqueda</p>
  </div>
  <div class="form-row p-3">
    <div class="col-4">
      <label for="">Pantalla:</label>
      <p-dropdown [options]="windows" showClear="true" optionValue="name" optionLabel="name" [(ngModel)]="filters.seccion"
        placeholder="Seleccione una pantalla" name="pantalla" id="pantalla" styleClass="w-100"></p-dropdown>
    </div>
    <div class="col-4">
      <label for="">Usuario que modificó:</label>
      <input type="text" class="form-control" [(ngModel)]="filters.commitMetaData.author" placeholder="Ingrese el nombre del usuario" name="username"
        autocomplete="off" id="username">
    </div>
    <div class="col-4">
      <label for="">Fecha bitácora:</label>
      <p-calendar dataType="string" dateFormat="dd/mm/yy" [(ngModel)]="filters.date" [showIcon]="true"
        placeholder="Escriba o seleccione la fecha bitácora" [yearNavigator]="true" [monthNavigator]="true" yearRange="1000:2030"
        name="biracora" id="biracora" styleClass="w-100"></p-calendar>
    </div>
    <div class="col-12">
      <div class="d-flex justify-content-between">
        <div class="d-blok">
          <div class="d-flex flex-row justify-content-center align-items-center" *ngIf="isFilter">
            <p class="mr-2">Se encontraron ({{bitacora.totalElements}}) resultado(s)</p>
            <p-button icon="pi pi-replay" styleClass="p-button-sm" (onClick)="clearFilter()"></p-button>
          </div>
        </div>
        <p-button label="Buscar" icon="pi pi-search" styleClass="p-button-sm" (onClick)="searchFilter()"></p-button>
      </div>
    </div>
  </div>
</div>
<div class="d-flex justify-content-end align-items-center pb-3">
  <span class="mr-2">Mostrar: </span>
  <p-dropdown [options]="[{size:10},{size:20},{size:30},{size:50},{size:100}]" optionLabel="size" optionValue="size" [(ngModel)]="size"
    (onChange)="onChangeSize($event)"></p-dropdown>
</div>
<p-table [value]="bitacora.content" [scrollable]="true" scrollHeight="400px" scrollDirection="both">
  <ng-template pTemplate="header">
    <tr>
      <th style="width:150px">Fecha bitácora</th>
      <th style="width:150px">Tipo</th>
      <th style="width:150px">Pantalla</th>
      <th style="width:100px">Usuario</th>
      <th style="width:400px">Resumen</th>
      <th style="width:100px"></th>
    </tr>
  </ng-template>
  <ng-template pTemplate="body" let-bitacora>
    <tr>
      <td style="width:150px" class="text-center">
        {{bitacora.commitMetaData.commitDate}}
      </td>
      <td style="width:150px;" class="text-center">
        <div class="label-bitacora" [ngClass]="{ 'save': bitacora.type == 'Save',
        'delete': bitacora.type == 'Delete','update': bitacora.type == 'Update',
        'publicado': bitacora.type == 'Publicacion' }">
          {{ bitacora.type | nameType}}
        </div>
      </td>
      <td style="width:150px" class="text-center">
        {{bitacora.seccion}}</td>
      <td style="width:100px" class="text-center short-text">
        {{bitacora.commitMetaData.author}}</td>
      <td style="width:400px">
        {{bitacora.resumen}}</td>
      <td style="width:100px">
        <div class="d-flex align-items-center justify-content-center">
          <a [routerLink]="['./',bitacora.seccion,bitacora.id]"><i class="pi pi-eye"></i></a>
        </div>
      </td>
    </tr>
  </ng-template>
</p-table>
<div class="d-flex justify-content-center align-items-center">
  <ngb-pagination [collectionSize]="bitacora.totalElements" (pageChange)="onChangePage($event)" [boundaryLinks]="true" [pageSize]="size"
    [maxSize]="4">
  </ngb-pagination>
</div>
